Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.providers.ejb
Interface Dispatch

All Known Implementing Classes:
  EjbHome, EjbObject

public interface Dispatch

Field Summary
`static java.lang.String` | `DISPATCH_E_ACCESSDENIED`
`static java.lang.String` | `DISPATCH_E_BADINDEX`
`static java.lang.String` | `DISPATCH_E_INVALIDARG`
`static java.lang.String` | `DISPATCH_E_INVALIDARGCOUNT`
`static java.lang.String` | `DISPATCH_E_INVOKE`
`static java.lang.String` | `DISPATCH_E_METHODNOTFOUND`
`static java.lang.String` | `DISPATCH_E_NOTIMPLEMENTED`
`static java.lang.String` | `DISPATCH_E_TARGETEXCP`
`static int` | `DISPATCH_METHOD`
`static int` | `DISPATCH_SOAPMETHOD`

Method Summary
`Parameter` | `invoke(java.lang.String methodName, int flags, Parameter[] args)`

Field Detail

### DISPATCH_E_METHODNOTFOUND

    public static final java.lang.String DISPATCH_E_METHODNOTFOUND

  See Also:
    Constant Field Values

### DISPATCH_E_BADINDEX

    public static final java.lang.String DISPATCH_E_BADINDEX

  See Also:
    Constant Field Values

### DISPATCH_E_INVALIDARGCOUNT

    public static final java.lang.String DISPATCH_E_INVALIDARGCOUNT

  See Also:
    Constant Field Values

### DISPATCH_E_NOTIMPLEMENTED

    public static final java.lang.String DISPATCH_E_NOTIMPLEMENTED

  See Also:
    Constant Field Values

### DISPATCH_E_ACCESSDENIED

    public static final java.lang.String DISPATCH_E_ACCESSDENIED

  See Also:
    Constant Field Values

### DISPATCH_E_INVALIDARG

    public static final java.lang.String DISPATCH_E_INVALIDARG

  See Also:
    Constant Field Values

### DISPATCH_E_INVOKE

    public static final java.lang.String DISPATCH_E_INVOKE

  See Also:
    Constant Field Values

### DISPATCH_E_TARGETEXCP

    public static final java.lang.String DISPATCH_E_TARGETEXCP

  See Also:
    Constant Field Values

### DISPATCH_METHOD

    public static final int DISPATCH_METHOD

  See Also:
    Constant Field Values

### DISPATCH_SOAPMETHOD

    public static final int DISPATCH_SOAPMETHOD

  See Also:
    Constant Field Values

Method Detail

### invoke

    public Parameter invoke(java.lang.String methodName,
                            int flags,
    Parameter[] args)
                     throws SOAPException

    `SOAPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.